<id>
YaBB 2 Backup for YaBB 2.0/2.1
</id>

<version>
Beta 3.1 (YaBB 2.0/2.1)
</version>

<mod info>
Provides a backup area in the Admin Center. Supports .tar, .tar.gz, .tar.bz2, and .zip both as Perl modules and binary utilities.

To install:
Use BoardMod like normal
Upload Languages/-language-/YaBB2Backup.lng (in zip) (pick what language(s) you want)
Upload AdminIndex.pl, Admin/AdminSublist.pl, Admin/ModList.pl (changed files)
Upload Admin/YaBB2Backup.pl (in zip)
Upload Modules/Archive/Tar.pm (in zip)
Upload Modules/MIME/Lite.pm (in zip)
Upload Backups/.htaccess (in zip). (You can use a different location for backups if you want. Just upload the .htaccess there for security reasons.)

Version History:
Beta 3.1 (YaBB 2.0/2.1): Bugfixes for Beta 3, and German, Dutch, and partial Russian language files included.
Beta 3 (YaBB 2.0/2.1): Added "Manage Backups" area to download, delete, or email. Fixed problem with autodetecting paths to binary versions of tar, bzip2, gzip, zip. Added MIME::Lite to mod package, as well as the Backups/ directory. (February 11th, 2006)
Beta 2 (YaBB 2.0/2.1): Fixed bug with getting to the backup area. Added support for tar, bzip2, gzip, and zip anywhere in PATH. Added Archive::Tar to the mod package. Added timing of your backup. (December 17th, 2005)
Beta 1 (YaBB 2.0/2.1): Mod package made available on BoardMod. (December 13th, 2005)
</mod info>

<author>
AK108
</author>

<homepage>
http://fkp.jkcsi.com/
</homepage>

<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
%director=(
</search for>

<add after>
'backupsettings', 'YaBB2Backup.pl&backupsettings',
'backupsettings2', 'YaBB2Backup.pl&backupsettings2',
'deletebackup', 'YaBB2Backup.pl&deletebackup',
'deletebackup2', 'YaBB2Backup.pl&deletebackup2',
'downloadbackup', 'YaBB2Backup.pl&downloadbackup',
'emailbackup', 'YaBB2Backup.pl&emailbackup',
'runbackup', 'YaBB2Backup.pl&runbackup',
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$yabb2backup = 'YaBB2_Backup|AK108|Provides a backup area in the admin center with support for .tar, .tar.gz, .tar.bz2, and .zip formats.|Beta 3.1|February 25th, 2005';
	push (@installed_mods, $yabb2backup);

</add before>

<edit file>
AdminIndex.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$yabb2backup = 'backupsettings|YaBB 2 Backup|Backup your forum|';
	push (@boardmod_mods, $yabb2backup);

</add before>
